import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		id: commonLogic.appcommonhandle("关系标识",null),
		name: commonLogic.appcommonhandle("关系名称",null),
		relation_type: commonLogic.appcommonhandle("类型",null),
		code_name: commonLogic.appcommonhandle("代码名称",null),
		entity_id: commonLogic.appcommonhandle("实体标识",null),
		entity_name: commonLogic.appcommonhandle("实体名称",null),
		ref_entity_id: commonLogic.appcommonhandle("引用实体标识",null),
		ref_entity_name: commonLogic.appcommonhandle("引用实体名称",null),
		nested_name: commonLogic.appcommonhandle("嵌套代码名称",null),
		system_id: commonLogic.appcommonhandle("系统",null),
		lookup: commonLogic.appcommonhandle("Lookup",null),
		createdate: commonLogic.appcommonhandle("创建时间",null),
		updatedate: commonLogic.appcommonhandle("最后修改时间",null),
	},
		views: {
			pickupgridview: {
				caption: commonLogic.appcommonhandle("实体关系",null),
				title: commonLogic.appcommonhandle("实体关系选择表格视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("实体关系",null),
				title: commonLogic.appcommonhandle("实体关系数据选择视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("实体关系",null),
				title: commonLogic.appcommonhandle("实体关系表格视图",null),
			},
			editgridview: {
				caption: commonLogic.appcommonhandle("实体关系",null),
				title: commonLogic.appcommonhandle("实体关系表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("实体关系",null),
				title: commonLogic.appcommonhandle("实体关系编辑视图",null),
			},
		},
		main_form: {
			details: {
				lookup: commonLogic.appcommonhandle("",null), 
				group1: commonLogic.appcommonhandle("实体关系基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("最后修改时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("关系标识",null), 
				srfmajortext: commonLogic.appcommonhandle("关系名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				relationname: commonLogic.appcommonhandle("关系名称",null), 
				reltype: commonLogic.appcommonhandle("类型",null), 
				entityname: commonLogic.appcommonhandle("实体名称",null), 
				codename: commonLogic.appcommonhandle("代码名称",null), 
				refentityname: commonLogic.appcommonhandle("引用实体名称",null), 
				nestedname: commonLogic.appcommonhandle("嵌套代码名称",null), 
				refentityid: commonLogic.appcommonhandle("引用实体标识",null), 
				entityid: commonLogic.appcommonhandle("实体标识",null), 
				systemid: commonLogic.appcommonhandle("系统",null), 
				relationid: commonLogic.appcommonhandle("关系标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				reltype: commonLogic.appcommonhandle("类型",null),
				codename: commonLogic.appcommonhandle("代码名称",null),
				entityname: commonLogic.appcommonhandle("实体名称",null),
				refentityname: commonLogic.appcommonhandle("引用实体名称",null),
				nestedname: commonLogic.appcommonhandle("嵌套代码名称",null),
				relationname: commonLogic.appcommonhandle("关系名称",null),
				entityid: commonLogic.appcommonhandle("实体标识",null),
				refentityid: commonLogic.appcommonhandle("引用实体标识",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		editmain_grid: {
			columns: {
				reltype: commonLogic.appcommonhandle("类型",null),
				codename: commonLogic.appcommonhandle("代码名称",null),
				entityname: commonLogic.appcommonhandle("实体名称",null),
				refentityname: commonLogic.appcommonhandle("引用实体名称",null),
				nestedname: commonLogic.appcommonhandle("嵌套代码名称",null),
				relationname: commonLogic.appcommonhandle("关系名称",null),
				entityid: commonLogic.appcommonhandle("实体标识",null),
				refentityid: commonLogic.appcommonhandle("引用实体标识",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_entityname_like: commonLogic.appcommonhandle("实体名称(文本包含(%))",null), 
				n_codename_like: commonLogic.appcommonhandle("代码名称(文本包含(%))",null), 
				n_refentityname_like: commonLogic.appcommonhandle("引用实体名称(文本包含(%))",null), 
				n_nestedname_like: commonLogic.appcommonhandle("嵌套代码名称(文本包含(%))",null), 
			},
			uiactions: {
			},
		},
		editgridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存行",null),
				tip: commonLogic.appcommonhandle("保存行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存行",null),
				tip: commonLogic.appcommonhandle("保存行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;